public inbox for libc-alpha@sourceware.org
 help / color / mirror / Atom feed
From: "H.J. Lu" <hjl.tools@gmail.com>
To: libc-alpha@sourceware.org
Cc: jakub@redhat.com
Subject: [PATCH] tst-tls6.sh: Replace space with ':' in LD_PRELOAD
Date: Tue,  6 Feb 2024 04:42:08 -0800	[thread overview]
Message-ID: <20240206124208.2428029-1-hjl.tools@gmail.com> (raw)

Replace space with ':' in LD_PRELOAD.  This fixes [BZ #31344].
---
 nptl/tst-tls6.sh | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

diff --git a/nptl/tst-tls6.sh b/nptl/tst-tls6.sh
index 450ee7870a..9dbb9495c1 100755
--- a/nptl/tst-tls6.sh
+++ b/nptl/tst-tls6.sh
@@ -38,7 +38,8 @@ for aligned in a e f; do
   ${test_wrapper_env} \
   ${run_program_env} \
   LD_PRELOAD="`echo ${common_objpfx}nptl/tst-tls5mod{$aligned,b,c,d}.so \
-	      | sed 's/:$//;s/: /:/g'`" ${tst_tls5} >> $logfile || fail=1
+	      | sed 's/:$//;s/: /:/g;s/ /:/g'`" ${tst_tls5} >> $logfile \
+  || fail=1
   echo >> $logfile
 
   echo "preload tst-tls5mod{b,$aligned,c,d}.so" >> $logfile
@@ -46,7 +47,8 @@ for aligned in a e f; do
   ${test_wrapper_env} \
   ${run_program_env} \
   LD_PRELOAD="`echo ${common_objpfx}nptl/tst-tls5mod{b,$aligned,c,d}.so \
-	      | sed 's/:$//;s/: /:/g'`" ${tst_tls5} >> $logfile || fail=1
+	      | sed 's/:$//;s/: /:/g;s/ /:/g'`" ${tst_tls5} >> $logfile \
+  || fail=1
   echo >> $logfile
 
   echo "preload tst-tls5mod{b,c,d,$aligned}.so" >> $logfile
@@ -54,7 +56,8 @@ for aligned in a e f; do
   ${test_wrapper_env} \
   ${run_program_env} \
   LD_PRELOAD="`echo ${common_objpfx}nptl/tst-tls5mod{b,c,d,$aligned}.so \
-	      | sed 's/:$//;s/: /:/g'`" ${tst_tls5} >> $logfile || fail=1
+	      | sed 's/:$//;s/: /:/g;s/ /:/g'`" ${tst_tls5} >> $logfile \
+  || fail=1
   echo >> $logfile
 done
 
@@ -63,7 +66,8 @@ echo "===============" >> $logfile
 ${test_wrapper_env} \
 ${run_program_env} \
 LD_PRELOAD="`echo ${common_objpfx}nptl/tst-tls5mod{d,a,b,c,e}.so \
-	    | sed 's/:$//;s/: /:/g'`" ${tst_tls5} >> $logfile || fail=1
+	    | sed 's/:$//;s/: /:/g;s/ /:/g'`" ${tst_tls5} >> $logfile \
+|| fail=1
 echo >> $logfile
 
 echo "preload tst-tls5mod{d,a,b,e,f}" >> $logfile
@@ -71,7 +75,8 @@ echo "===============" >> $logfile
 ${test_wrapper_env} \
 ${run_program_env} \
 LD_PRELOAD="`echo ${common_objpfx}nptl/tst-tls5mod{d,a,b,e,f}.so \
-	    | sed 's/:$//;s/: /:/g'`" ${tst_tls5} >> $logfile || fail=1
+	    | sed 's/:$//;s/: /:/g;s/ /:/g'`" ${tst_tls5} >> $logfile \
+|| fail=1
 echo >> $logfile
 
 exit $fail
-- 
2.43.0


             reply	other threads:[~2024-02-06 12:42 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-02-06 12:42 H.J. Lu [this message]
2024-02-06 12:58 ` Andreas Schwab
2024-02-06 13:11   ` H.J. Lu
2024-02-06 13:17     ` Andreas Schwab
2024-02-06 14:00 ` Florian Weimer
2024-02-06 14:02   ` Jakub Jelinek
2024-02-06 14:10     ` Adhemerval Zanella Netto

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20240206124208.2428029-1-hjl.tools@gmail.com \
    --to=hjl.tools@gmail.com \
    --cc=jakub@redhat.com \
    --cc=libc-alpha@sourceware.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).